<section class="page-container" *ngIf="post">
  <div class="post-section">

    <app-page-header [pageInfo]="pageHeaderInfo"></app-page-header>

    <div class="feature-image" *ngIf="post.content.featureImage">
      <img [src]="post.content.featureImage" alt="Image principale de l'article">
    </div>

    <div class="content-ghost ghost-style" [innerHTML]="safePostContent">

    </div>
  </div>
  <div class="relations-section" *ngIf="relations.datasetsMetadata.length > 0">
    <span class="relation-type" i18n="@@cmsPostDetail.relatedDatasets">Related datasets</span>
    <div class="relation" *ngFor="let metadata of relations.datasetsMetadata">
      <a [routerLink]="['/' + AppRoutes.datasets.uri + '/' + metadata.parentDataset.slug+'/info']">
        <img [src]="metadata.image.url" alt="" (error)="setBackupImage(metadata)"
          [ngClass]="{'fit': !metadata.image.url.includes('./assets/img')}">
        <div class="relation-info">
          <div class="relation-title">{{ metadata.title }}<span class="relation-subtitle" *ngIf="metadata.subtitle"> - {{ metadata.subtitle }}</span>
          </div>
          <span class="relation-producer">{{ metadata.providers }}</span>
        </div>
      </a>
    </div>
  </div>
</section>
